Kali Linux 下安装Composer和Laravel项目

个人记录 专栏收录该内容
10 篇文章 0 订阅

Kali Linux系统 是基于Linux的发行版.里面集合了许多工具,包括开发PHP常用的Apache,Mysql,PHP等......还有许多的不可描述的渗透工具哟.......

接下来说说Kali Linux 怎么安装Composer和Laravel............................................................................

    Kali 因为自带了Apache和Mysql以及PHP..所以.PHP的环境是不需要再去配置了.要是不用Laravel框架,直接就能在Kali下写PHP和运行PHP程序了.只是在PHP扩展上面需要改一下.需要什么扩展,就去下什么扩展...

    Composer 不建议在root下使用,文档说,Composer带有的第三方扩展很可以会接着root权限做一些违法乱纪的事情,,,,所以,我们要在Kali下新建一个用户:useradd -m 用户名. 然后通过:passwd 用户名 来设置密码,设置密码后.我们来把这个用户加入组:usermod -a -G sudo 用户名  ..然后这个用户就创建完成了..然后重启进入新创建的用户.

 

 

    进入新创建的用户后,打开命名行,输入curl -sS https://getcomposer.org/installer | php 下载Composer.phar.

下载完成后,就会在你的目录里有Composer.phar..然后,我们需要把Composer加到usr/local/bin 里面去.用sudo mv composer.phar /usr/local/bin/composer    ..然后输入Composer -v 如果出现就说明安装成功了,恭喜你.下一步,安装Laravel: composer global require "laravel/installer"  会下载laravel的安装器,因为是国外网站,所以慢,甚至有时候访问不到,所以可以把composer下载地址改成国内镜像:composer config -g repo.packagist composer https://packagist.phpcomposer.com .然后开始composer global require "laravel/installer" 下载laravel安装器.....咦,报一个错误,看看是什么错误.

哦,原来是PHP的扩展zip没有,这是大事吗?不是,没有zip扩展我们就装呗.sudo apt-get install php7.2-zip  运行这个把php的zip扩展装上,我用的是php7.2,如果你的php是7.0.那就是7.0-zip.

好了,zip扩展装好了,我们再运行composer global require "laravel/installer" 出现下图说明安装成功了:,然后现在,我们找到用户的主目录,点击然后能看见隐藏文件了,然后进入.config/composer/vendor  然后看见里面有一个bin文件了吗?把这个bin文件放进环境变量就行了,怎么放呢?我们返回到用户主目录,打开.bashrc 在最后加.

加好后,保存关闭,然后打开终端,输入source .bashrc

好了,最后一步加入环境变量也弄好了,现在就可以创建laravel项目了,打开终端,cd 到你想存放laravel项目的地方,然后laravel new 项目名称     就可以了!!!!

        你以为结束了???没有,哈哈.如果,我是说如果,出错了,像这样的的,说明了什么? 这些错误是不是很熟悉,对,没错,就是我们上面下载laravel安装器时出现的错误.现在怎么办?缺了mbstring和dom扩展怎么办?能怎么办?安装啊.....sudo apt-get install php7.2-mbstring和sudo apt-get install php7.2-dom     这两个命令是安装mbstring和dom扩展的..版本不用说了吧,上面说过了,是哪个版本的就用哪个版本的-mbstring和-dom.如7.0版本的,用php7.0-mbstring和php7.0-dom   就行了 !!如果kali 的软件仓库没有你的php版本的mbstring或其他扩展....那就要自己去找咯,还是比较麻烦的,但自己弄过一遍就简单咯!!!!!!安装mbstring和dom扩展后,输入laravel new 项目名称 创建项目 出现:这是因为你刚才创建一个laravel项目了,虽然出错了,失败了,但他还是被创建出来了,所以这个错误是因为项目名称重复了,这个好弄,换个项目名称或把以前安装失败的项目给删了,就OK了啊!!出现上面的就说明成功了,静静的等待下载吧!!

 

 

 

    

 

 

  • 0
    点赞
  • 0
    评论
  • 1
    收藏
  • 打赏
    打赏
  • 扫一扫,分享海报

参与评论 您还未登录,请先 登录 后发表或查看评论
©️2022 CSDN 皮肤主题:技术黑板 设计师:CSDN官方博客 返回首页

打赏作者

爱小雨的豆豆大神

你的鼓励将是我创作的最大动力

¥2 ¥4 ¥6 ¥10 ¥20
输入1-500的整数
余额支付 (余额:-- )
扫码支付
扫码支付:¥2
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值